コンテンツにスキップ

配送ステータス一覧取得

GET
/shipment_statuses
curl --request GET \
--url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/shipment_statuses?limit=10&page=1' \
--header 'Authorization: Bearer <token>'

配送ステータスの一覧を取得します。

limit
integer
default: 10 >= 1 <= 100

取得件数

page
integer
default: 1 >= 1

ページ

取得成功

Media typeapplication/json
Array
ShipmentStatusResponse
object
id

配送ステータスID

string format: uuid
name

名前

string
<= 50 characters
displayName

表示名

string
<= 50 characters
progress

ステータス進捗度

ステータスの進捗段階を表す数値。値が小さいほど初期段階を示します。将来ステータスを挟み込めるよう、間隔を空けた段階値(例: 100, 200, 400 など)が採用されています。具体的な値はステータスごとに異なります。

integer
Examples
Exampledefault
[
{
"id": "12345678-1234-1234-1234-1234567890ab",
"name": "店舗確認中",
"displayName": "店舗確認中",
"progress": 100
},
{
"id": "12345678-1234-1234-1234-1234567890cd",
"name": "出荷手配中",
"displayName": "出荷手配中",
"progress": 200
},
{
"id": "12345678-1234-1234-1234-1234567890ef",
"name": "出荷手配済",
"displayName": "出荷手配済",
"progress": 300
}
]
Link
string

<前ページURI>; rel="prev", <次ページURI>; rel="next"

  • 入力チェックエラーの場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{
"type": "about:blank",
"title": "Bad Request",
"detail": "request_json:[limit]は100以下の数字を指定してください。",
"status": 400
}